RCCE(3)

NAME
RCCE_malloc - allocates bytes in the MPB (GORY)

SYNOPSIS
#include <rcce.h>

volatile char * RCCE_malloc(size_t size);

DESCRIPTION
RCCE_malloc allocates size bytes in MPB in the address range assigned to the calling UE. This is a collective routine that must be called jointly by all UEs. Size must be a multiple of 32, and return values will be aligned on 32-byte boundaries.

size
    The number of bytes to allocate in memory.

RETURN VALUE
Upon successful completion RCCE_malloc() returns a char * pointer to the start of the allocated bytes.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.